package ru.dbotthepony.mc.otm.client.render.entity

import net.minecraft.client.model.HierarchicalModel
import net.minecraft.client.renderer.entity.EntityRendererProvider
import net.minecraft.client.renderer.entity.MobRenderer
import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters.loc
import ru.dbotthepony.mc.otm.client.model.entity.BreadMonsterModel
import ru.dbotthepony.mc.otm.entity.BreadMonster

class BreadMonsterRenderer(context: EntityRendererProvider.Context)
	: MobRenderer<BreadMonster, HierarchicalModel<BreadMonster>>(context, BreadMonsterModel.getModel(), 0.9f) {
	override fun getTextureLocation(entity: BreadMonster): ResourceLocation = TEXTURE_LOCATION

	companion object {
		private val TEXTURE_LOCATION = loc("textures/entity/bread_monster.png")
	}
}
